/ lang / is
IS
Syntax

    Result = Expression IS Class

Returns if an object is an instance of a class, or one of its descendants.

- Expression is any expression that returns an object reference.
- Class is a class name.

### Examples

    PRINT ["Gambas", "rules!"] IS String[]
    <hr>True

    DIM myTextBox AS NEW TextBox(ME)

    PRINT myTextBox IS Control
    <hr>True

    PRINT ["Gambas", "rules!"] IS Collection
    <hr>False

### See also

Object & Class Management